#include "mvpwindow.h"

int main(int argc, char *argv[])
{
    window_t *root, *window_1, *window_2, *window_3;
    window_t *window_1_1, *window_1_1_1;

    /* Create a root window */
    root = new_root(720, 576, 24);
    window_set_name(root, "ROOT");
    window_dump_window(root);

    
    /* Create a new window */
    window_1 = new_window(root, 0,0,0,0);
    window_set_name(window_1, "window_1");
    window_dump_window(root);

    /* Create a new window and specify a zorder */
    window_2 = new_window(root, 0,0,0,0);
    window_set_name(window_2, "window_2");
    window_set_zorder(window_2, 3);
    window_dump_window(root);

    /* Change the zorder of the original child */
    /* Make it less than the 2nd               */
    window_set_zorder(window_1, 1);
    window_dump_window(root);

    /* Create a new window and specify a zorder */
    /* Make it greater than the original child  */
    /* This tests that it inserts correctly     */
    window_3 = new_window(root, 0,0,0,0);
    window_set_name(window_3, "window_3");
    window_set_zorder(window_3, 2);
    window_dump_window(root);


    /* Create a new window and make it a child of */
    /* the original child                         */
    window_1_1 = new_window(window_1,0,0,0,0);
    window_set_name(window_1_1, "window_1_1");
    window_dump_window(root);

    /* Change the original child zorder */
    window_set_zorder(window_1, 4);
    window_dump_window(root);

    /* Delete the second child                  */
    /* This tests that the list integrity is OK */
    delete_window(window_2);
    window_dump_window(root);

    /* Add a child to child_1_1 */
    window_1_1_1 = new_window(window_1_1, 0,0,0,0);
    window_set_name(window_1_1_1, "window_1_1_1");
    window_dump_window(root);

    delete_window(root);

    exit(0);
}

